Package com.independentsoft.office.spreadsheet

# Class CustomWorkbookView

java.lang.Object
com.independentsoft.office.spreadsheet.CustomWorkbookView

public class CustomWorkbookView extends Object
The Class CustomWorkbookView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomWorkbookView()`
  Instantiates a new custom workbook view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomWorkbookView`
  `clone()`
  `int`
  `getActiveSheetID()`
  Gets the active sheet id.
  `CommentDisplayType`
  `getCommentDisplayType()`
  Gets the comment display type.
  `String`
  `getGuid()`
  Gets the guid.
  `int`
  `getMergeInterval()`
  Gets the merge interval.
  `String`
  `getName()`
  Gets the name.
  `ObjectDisplayType`
  `getObjectDisplayType()`
  Gets the object display type.
  `int`
  `getSheetTabRatio()`
  Gets the sheet tab ratio.
  `int`
  `getTopLeftCornerX()`
  Gets the top left corner x.
  `int`
  `getTopLeftCornerY()`
  Gets the top left corner y.
  `int`
  `getWindowHeight()`
  Gets the window height.
  `int`
  `getWindowWidth()`
  Gets the window width.
  `boolean`
  `isAutoUpdate()`
  Checks if is auto update.
  `boolean`
  `isChangesSavedWin()`
  Checks if is changes saved win.
  `boolean`
  `isIncludeHiddenRowAndColumns()`
  Checks if is include hidden row and columns.
  `boolean`
  `isIncludePrintSettings()`
  Checks if is include print settings.
  `boolean`
  `isMaximized()`
  Checks if is maximized.
  `boolean`
  `isMinimized()`
  Checks if is minimized.
  `boolean`
  `isOnlySync()`
  Checks if is only sync.
  `boolean`
  `isPersonalView()`
  Checks if is personal view.
  `boolean`
  `isShowFormulaBar()`
  Checks if is show formula bar.
  `boolean`
  `isShowHorizontalScroll()`
  Checks if is show horizontal scroll.
  `boolean`
  `isShowSheetTabs()`
  Checks if is show sheet tabs.
  `boolean`
  `isShowStatusBar()`
  Checks if is show status bar.
  `boolean`
  `isShowVerticalScroll()`
  Checks if is show vertical scroll.
  `void`
  `setActiveSheetID​(int activeSheetID)`
  Sets the active sheet id.
  `void`
  `setAutoUpdate​(boolean autoUpdate)`
  Sets the auto update.
  `void`
  `setChangesSavedWin​(boolean changesSavedWin)`
  Sets the changes saved win.
  `void`
  `setCommentDisplayType​(CommentDisplayType commentDisplayType)`
  Sets the comment display type.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setIncludeHiddenRowAndColumns​(boolean includeHiddenRowAndColumns)`
  Sets the include hidden row and columns.
  `void`
  `setIncludePrintSettings​(boolean includePrintSettings)`
  Sets the include print settings.
  `void`
  `setMaximized​(boolean maximized)`
  Sets the maximized.
  `void`
  `setMergeInterval​(int mergeInterval)`
  Sets the merge interval.
  `void`
  `setMinimized​(boolean minimized)`
  Sets the minimized.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setObjectDisplayType​(ObjectDisplayType objectDisplayType)`
  Sets the object display type.
  `void`
  `setOnlySync​(boolean onlySync)`
  Sets the only sync.
  `void`
  `setPersonalView​(boolean personalView)`
  Sets the personal view.
  `void`
  `setSheetTabRatio​(int sheetTabRatio)`
  Sets the sheet tab ratio.
  `void`
  `setShowFormulaBar​(boolean showFormulaBar)`
  Sets the show formula bar.
  `void`
  `setShowHorizontalScroll​(boolean showHorizontalScroll)`
  Sets the show horizontal scroll.
  `void`
  `setShowSheetTabs​(boolean showSheetTabs)`
  Sets the show sheet tabs.
  `void`
  `setShowStatusBar​(boolean showStatusBar)`
  Sets the show status bar.
  `void`
  `setShowVerticalScroll​(boolean showVerticalScroll)`
  Sets the show vertical scroll.
  `void`
  `setTopLeftCornerX​(int topLeftCornerX)`
  Sets the top left corner x.
  `void`
  `setTopLeftCornerY​(int topLeftCornerY)`
  Sets the top left corner y.
  `void`
  `setWindowHeight​(int windowHeight)`
  Sets the window height.
  `void`
  `setWindowWidth​(int windowWidth)`
  Sets the window width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomWorkbookView

    public CustomWorkbookView()
    Instantiates a new custom workbook view.

- ## Method Details

  - ### clone

    public CustomWorkbookView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getActiveSheetID

    public int getActiveSheetID()
    Gets the active sheet id.
    Returns:
      the active sheet id

  - ### setActiveSheetID

    public void setActiveSheetID​(int activeSheetID)
    Sets the active sheet id.
    Parameters:
      `activeSheetID` - the new active sheet id

  - ### isAutoUpdate

    public boolean isAutoUpdate()
    Checks if is auto update.
    Returns:
      true, if is auto update

  - ### setAutoUpdate

    public void setAutoUpdate​(boolean autoUpdate)
    Sets the auto update.
    Parameters:
      `autoUpdate` - the new auto update

  - ### isChangesSavedWin

    public boolean isChangesSavedWin()
    Checks if is changes saved win.
    Returns:
      true, if is changes saved win

  - ### setChangesSavedWin

    public void setChangesSavedWin​(boolean changesSavedWin)
    Sets the changes saved win.
    Parameters:
      `changesSavedWin` - the new changes saved win

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### isIncludeHiddenRowAndColumns

    public boolean isIncludeHiddenRowAndColumns()
    Checks if is include hidden row and columns.
    Returns:
      true, if is include hidden row and columns

  - ### setIncludeHiddenRowAndColumns

    public void setIncludeHiddenRowAndColumns​(boolean includeHiddenRowAndColumns)
    Sets the include hidden row and columns.
    Parameters:
      `includeHiddenRowAndColumns` - the new include hidden row and columns

  - ### isIncludePrintSettings

    public boolean isIncludePrintSettings()
    Checks if is include print settings.
    Returns:
      true, if is include print settings

  - ### setIncludePrintSettings

    public void setIncludePrintSettings​(boolean includePrintSettings)
    Sets the include print settings.
    Parameters:
      `includePrintSettings` - the new include print settings

  - ### isMaximized

    public boolean isMaximized()
    Checks if is maximized.
    Returns:
      true, if is maximized

  - ### setMaximized

    public void setMaximized​(boolean maximized)
    Sets the maximized.
    Parameters:
      `maximized` - the new maximized

  - ### getMergeInterval

    public int getMergeInterval()
    Gets the merge interval.
    Returns:
      the merge interval

  - ### setMergeInterval

    public void setMergeInterval​(int mergeInterval)
    Sets the merge interval.
    Parameters:
      `mergeInterval` - the new merge interval

  - ### isMinimized

    public boolean isMinimized()
    Checks if is minimized.
    Returns:
      true, if is minimized

  - ### setMinimized

    public void setMinimized​(boolean minimized)
    Sets the minimized.
    Parameters:
      `minimized` - the new minimized

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isOnlySync

    public boolean isOnlySync()
    Checks if is only sync.
    Returns:
      true, if is only sync

  - ### setOnlySync

    public void setOnlySync​(boolean onlySync)
    Sets the only sync.
    Parameters:
      `onlySync` - the new only sync

  - ### isPersonalView

    public boolean isPersonalView()
    Checks if is personal view.
    Returns:
      true, if is personal view

  - ### setPersonalView

    public void setPersonalView​(boolean personalView)
    Sets the personal view.
    Parameters:
      `personalView` - the new personal view

  - ### getCommentDisplayType

    public CommentDisplayType getCommentDisplayType()
    Gets the comment display type.
    Returns:
      the comment display type

  - ### setCommentDisplayType

    public void setCommentDisplayType​(CommentDisplayType commentDisplayType)
    Sets the comment display type.
    Parameters:
      `commentDisplayType` - the new comment display type

  - ### isShowFormulaBar

    public boolean isShowFormulaBar()
    Checks if is show formula bar.
    Returns:
      true, if is show formula bar

  - ### setShowFormulaBar

    public void setShowFormulaBar​(boolean showFormulaBar)
    Sets the show formula bar.
    Parameters:
      `showFormulaBar` - the new show formula bar

  - ### isShowHorizontalScroll

    public boolean isShowHorizontalScroll()
    Checks if is show horizontal scroll.
    Returns:
      true, if is show horizontal scroll

  - ### setShowHorizontalScroll

    public void setShowHorizontalScroll​(boolean showHorizontalScroll)
    Sets the show horizontal scroll.
    Parameters:
      `showHorizontalScroll` - the new show horizontal scroll

  - ### getObjectDisplayType

    public ObjectDisplayType getObjectDisplayType()
    Gets the object display type.
    Returns:
      the object display type

  - ### setObjectDisplayType

    public void setObjectDisplayType​(ObjectDisplayType objectDisplayType)
    Sets the object display type.
    Parameters:
      `objectDisplayType` - the new object display type

  - ### isShowSheetTabs

    public boolean isShowSheetTabs()
    Checks if is show sheet tabs.
    Returns:
      true, if is show sheet tabs

  - ### setShowSheetTabs

    public void setShowSheetTabs​(boolean showSheetTabs)
    Sets the show sheet tabs.
    Parameters:
      `showSheetTabs` - the new show sheet tabs

  - ### isShowStatusBar

    public boolean isShowStatusBar()
    Checks if is show status bar.
    Returns:
      true, if is show status bar

  - ### setShowStatusBar

    public void setShowStatusBar​(boolean showStatusBar)
    Sets the show status bar.
    Parameters:
      `showStatusBar` - the new show status bar

  - ### isShowVerticalScroll

    public boolean isShowVerticalScroll()
    Checks if is show vertical scroll.
    Returns:
      true, if is show vertical scroll

  - ### setShowVerticalScroll

    public void setShowVerticalScroll​(boolean showVerticalScroll)
    Sets the show vertical scroll.
    Parameters:
      `showVerticalScroll` - the new show vertical scroll

  - ### getSheetTabRatio

    public int getSheetTabRatio()
    Gets the sheet tab ratio.
    Returns:
      the sheet tab ratio

  - ### setSheetTabRatio

    public void setSheetTabRatio​(int sheetTabRatio)
    Sets the sheet tab ratio.
    Parameters:
      `sheetTabRatio` - the new sheet tab ratio

  - ### getWindowHeight

    public int getWindowHeight()
    Gets the window height.
    Returns:
      the window height

  - ### setWindowHeight

    public void setWindowHeight​(int windowHeight)
    Sets the window height.
    Parameters:
      `windowHeight` - the new window height

  - ### getWindowWidth

    public int getWindowWidth()
    Gets the window width.
    Returns:
      the window width

  - ### setWindowWidth

    public void setWindowWidth​(int windowWidth)
    Sets the window width.
    Parameters:
      `windowWidth` - the new window width

  - ### getTopLeftCornerX

    public int getTopLeftCornerX()
    Gets the top left corner x.
    Returns:
      the top left corner x

  - ### setTopLeftCornerX

    public void setTopLeftCornerX​(int topLeftCornerX)
    Sets the top left corner x.
    Parameters:
      `topLeftCornerX` - the new top left corner x

  - ### getTopLeftCornerY

    public int getTopLeftCornerY()
    Gets the top left corner y.
    Returns:
      the top left corner y

  - ### setTopLeftCornerY

    public void setTopLeftCornerY​(int topLeftCornerY)
    Sets the top left corner y.
    Parameters:
      `topLeftCornerY` - the new top left corner y